import { EditorState, EditorView } from '@codemirror/basic-setup';
import { StreamLanguage } from '@codemirror/stream-parser';
import { CodeLanguage } from '@itgenio/edik-core';
export { EditorView };
export declare function getLangExtension(lang: CodeLanguage): import("@codemirror/language").LanguageSupport | StreamLanguage<unknown>;
export declare function createState({ text, lang, readonly, onChange, }?: {
    text?: string;
    lang?: CodeLanguage;
    readonly?: boolean;
    onChange?: (text: string) => void;
}): EditorState;
